# ezQuake Manual: Turbulency and Sky Settings Variables

## gl_caustics

### Description

Turns reflections on walls covered with liquids (water, lava, slime) when set to 1. Multi-texturing is required for this variable.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | On.
0 | Off.

## gl_fog

### Description

Turns fog effect on and off (GL-Only). See /gl_fogstart /gl_fogend /gl_fogsky and /fog too.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_fogblue

### Description

Blue factor in the color of the fog

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.4

Variable is float.

## gl_fogend

### Description

Sets ending distance for rendering the fog. When fog is turned on, you cannot see behind this distance limit. See /gl_fog and /gl_fogstart too.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 800.0

Variable is float.

## gl_foggreen

### Description

Green factor in the color of the fog

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.5

Variable is float.

## gl_fogred

### Description

Red factor in the color of the fog

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0.6

Variable is float.

## gl_fogsky

### Description

When turned on, fog effect affects sky too. We suggest turning this on otherwise fog looks ridiculous and unrealistic.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

## gl_fogstart

### Description

Sets starting distance for rendering the fog. The greater the number is, the better visibility in game is and the fog is "thinner".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 50.0

Variable is float.

## gl_surface_lava

### Description

Adds boiling bubbles over the lava.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_surface_slime

### Description

Adds bubbles and fumes of slime over the slime.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_turbalpha

### Description

This variable determines the level of opacity for liquids, which requires the use of maps that were VISed with transparent water. When using maps that have not been VISed in such a way, you have to use "r_novis 1". If "r_novis" is set to "1" or when using a map VISed with transparent water and using setting "gl_turbalpha" to a value lower than "1", the player will be able to see objects and walls through liquids if the server allows that. This is a very nice feature to have in the game, for more information refer to the "r_novis" command. You can use any value between "0" and "1" for "gl_turbalpha", here are some Examples:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
0.00 | Transparent.
0.25 | Low opacity.
0.50 | Medium opacity.
0.75 | High opacity.
1.00 | Solid.

## gl_turbfog

### Description

Controls amount of fog when inside liquid (water, lava, slime). Density is controlled by choosing a value from 0 to 1 and from 1 to 2.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
0 | Fog in liquids is turned OFF
1 | Linear fog in liquids.
2 | Logarithmic fog in liquids.

Works only when multitexturing is enabled.

## gl_turbfogDensity

### Description

Control of density of liquid (water, lava, slime...) fog

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.
[0...1] = [minimum...maximum] liquid fog density

## gl_turbripple

### Description

Put your life vests on, waves are coming! Creates an effect of waves on liquids.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

## gl_turb_trails

### Description

This gives rockets/grenades/nails and other things an alternate underwater trail. Very nice to have nailgun fights underwater...

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_weather_rain

### Description

Turns on rain out of doors, the density of rain is equal to whatever gl_weather_rain is set to. If you set gl_weather_rain_fast to 1, you can turn off all splashes, if you set it to 2, you will turn off only the water splashes. Works on all non-iD maps except death32c, dakyne and some others.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## gl_weather_rain_fast

### Description

Adjusts speed of rain.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

## r_fastsky

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Enable fastsky, helps fps a bit on maps with large sky areas.
0 | Disable fastsky.

## r_fastturb

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | All turbulences will be replaced by single-coloured surfaces.
0 | All turbulences will be displayed normally.

## r_lavacolor

### Description

Changes colour of lava when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 80 0 0

Variable is float.

## r_novis

### Description

This variable toggles the use of VIS information from the map data. When this variable is set to "1" the game will calculate it's own VIS information on the fly instead of using the information stored in the map data, this will cause a severe performance penalty in the game. When "r_novis" is set to "1", the variable "gl_turbalpha" has a value lower than "1" and the server allows the client to display liquid transparently the player will be able to see through liquids. This is a nice effect to see but it is not recommended to keep this variable set to "1" because of the huge performance penalty. It is possible to enable transparent liquids and still keep this variable set to "0" (and thus not experience such a severe performance drop) by using maps that are VISed accordingly. You can visit the official Water VIS site at "http://www.sod.net/" and download the vispatch program along with the patch data files which you would use to update the VIS data for all of your game maps. There are also map packs available that contain VISed versions of the original ID maps.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

### Values

value | description
1 | Calculate VIS information for unVISed maps.
0 | Do not calculate VIS information for unVISed maps.

## r_skycolor

### Description

Changes colour of sky when r_fastsky set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 40 80 150

Variable is float.

## r_skyname

### Description

If you wan't to use skybox name snow type r_skyname snow, disable skybox with r_skyname ""

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

## r_slimecolor

### Description

Changes colour of slime when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10 60 10

Variable is float.

## r_telecolor

### Description

Changes colour of teleport when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 255 60 60

Variable is float.

## r_turbwarp

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

### Values

value | description
1 | Enable warping of surfaces.
0 | Disable warping of surfaces.

## r_watercolor

### Description

Changes color of water when r_fastturb set to 1

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 10 50 80

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs